﻿using Windows.Graphics.Display;
using Windows.UI.Xaml.Controls;
﻿
namespace TestProject
{
    /// <summary>
    /// 메인 페이지
    /// </summary>
    public sealed partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainPage()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainPage()
        {
            InitializeComponent();

            SetFontSize();

            DisplayInformation displayInformation = DisplayInformation.GetForCurrentView();

            displayInformation.OrientationChanged += DisplayInformation_OrientationChanged;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private
        //////////////////////////////////////////////////////////////////////////////// Event

        #region 디스플레이 정보 방향 변경시 처리하기 - DisplayInformation_OrientationChanged(sender, e)

        /// <summary>
        /// 디스플레이 정보 방향 변경시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void DisplayInformation_OrientationChanged(DisplayInformation sender, object e)
        {
            SetFontSize();
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////// Function

        #region 폰트 크기 설정하기 - SetFontSize()

        /// <summary>
        /// 폰트 크기 설정하기
        /// </summary>
        private void SetFontSize()
        {
            DisplayInformation displayInformation = DisplayInformation.GetForCurrentView();

            bool isLandscape = displayInformation.CurrentOrientation == DisplayOrientations.Landscape ||
                               displayInformation.CurrentOrientation == DisplayOrientations.LandscapeFlipped;

            FontSize = isLandscape ? 20 : 12;
        }

        #endregion
    }
}